<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of COLLABORATION SUITE of POSH http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# Get groups widgets
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : éàèù
# ***************************************
/**
* \brief Get widgets available for groups
*
*   return xml file
*
*  \relatesalso
*   application.js
*   $p.groupbook.getWidgetList
*
* !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
*
**/

$folder="";
$not_access=1;
$granted="I";
$pagename="portal/xmlgroup_getwidgets.php";
//includes
require_once('includes.php');
require_once('../db_layer/'.__DBTYPE.'/enterprise.php');
require_once('../includes/xml.inc.php');

$file=new xmlFile();

$file->header("widgets");

$id = $_GET['gid'];

include_once('../notebook/groupsecurity.inc.php');

// check that user is member of this group. Only members can open this xml file (security)
if ($userIsMemberOfGroup == 0)
{
	echo '<noaccess>1</noaccess>';
}
else
{
	echo "<key><![CDATA[".$groupKey."]]></key>";
	echo "<name><![CDATA[".$groupName."]]></name>";
	//get the list of the widgets
	$DB->getResults($xmlgroup_getWidgets, $DB->escape($id));
	while($row = $DB->fetch(0))
	{
		echo "<widget>";
		echo "<id>".$row["id"]."</id>";
		echo "<name><![CDATA[".$row["name"]."]]></name>";
		echo "<icon><![CDATA[".$row["icon"]."]]></icon>";
		echo "<variables><![CDATA[".$row["variables"]."]]></variables>";
		echo "</widget>";
	}
	$DB->freeResults();
}

$file->footer();

$DB->close();
?>